<template>
  <div class="flex-auto flex flex-col space-y-8 pb-8">
    <div class="flex-auto">
      <Component
        :is="getCurrentComponent"
        @nextStage="nextStage"
        @goTo="goToStage"
      />
    </div>
    <SecurityFooter/>
  </div>
</template>

<script>
import {parentComponentMixin} from "@/utils/mixins";
import AntiAging1 from "@/components/quizzes/AntiAging/AntiAging1";
import AntiAging2 from "@/components/quizzes/AntiAging/AntiAging2";
import AntiAging3 from "@/components/quizzes/AntiAging/AntiAging3";
import AntiAging4 from "@/components/quizzes/AntiAging/AntiAging4";
import AntiAging5 from "@/components/quizzes/AntiAging/AntiAging5";
import AntiAging6 from "@/components/quizzes/AntiAging/AntiAging6";
import AntiAging7 from "@/components/quizzes/AntiAging/AntiAging7";
import AntiAging8 from "@/components/quizzes/AntiAging/AntiAging8";
import AntiAging9 from "@/components/quizzes/AntiAging/AntiAging9";
import AntiAging10 from "@/components/quizzes/AntiAging/AntiAging10";
import AntiAging11 from "@/components/quizzes/AntiAging/AntiAging11";
import AntiAging12 from "@/components/quizzes/AntiAging/AntiAging12";
import AntiAging13 from "@/components/quizzes/AntiAging/AntiAging13";
import SecurityFooter from "@/components/misc/SecurityFooter";

export default {
  components: {SecurityFooter},
  mixins: [parentComponentMixin],
  name: "AntiAging",
  data() {
    return {
      stages: {
        1: AntiAging1, 2: AntiAging2, 3: AntiAging3,
        4: AntiAging4, 5: AntiAging5, 6: AntiAging6,
        7: AntiAging7, 8: AntiAging8, 9: AntiAging9,
        10: AntiAging10, 11: AntiAging11, 12: AntiAging12,
        13: AntiAging13
      },
      stageNumber: 1
    }
  },
}
</script>

<style scoped>

</style>
